com.io7m.r2.core

## Interface R2SceneLightsClipGroupConsumerType

-     public interface R2SceneLightsClipGroupConsumerType

  A consumer for clip groups.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFinish()` Called when rendering of the clip group is finished.
    `<M extends R2LightSingleReadableType> void` | `onLightSingle(R2ShaderLightSingleUsableType<M> s, M i)` Called when a single light should be rendered.
    `void` | `onLightSingleArrayStart(R2LightSingleReadableType i)` Called when a new array object should be bound, for single lights.
    `<M extends R2LightSingleReadableType> void` | `onLightSingleShaderFinish(R2ShaderLightSingleUsableType<M> s)` Called when the current shader should be deactivated.
    `<M extends R2LightSingleReadableType> void` | `onLightSingleShaderStart(R2ShaderLightSingleUsableType<M> s)` Called when a new shader should be activated in order to start rendering single lights.
    `void` | `onStart()` Called when rendering of the clip group begins.

- - ### Method Detail

    - #### onStart

          void onStart()

      Called when rendering of the clip group begins.

    - #### onLightSingleShaderStart

          <M extends R2LightSingleReadableType> void onLightSingleShaderStart(R2ShaderLightSingleUsableType<M> s)

      Called when a new shader should be activated in order to start rendering single lights.
      Type Parameters:
        `M` - The type of shader parameters
      Parameters:
        `s` - The shader

    - #### onLightSingleArrayStart

          void onLightSingleArrayStart(R2LightSingleReadableType i)

      Called when a new array object should be bound, for single lights.
      Parameters:
        `i` - The current instance

    - #### onLightSingle

          <M extends R2LightSingleReadableType> void onLightSingle(R2ShaderLightSingleUsableType<M> s,
                                                                   M i)

      Called when a single light should be rendered.
      Type Parameters:
        `M` - The type of shader parameters
      Parameters:
        `s` - The current shader
        `i` - The current instance

    - #### onLightSingleShaderFinish

          <M extends R2LightSingleReadableType> void onLightSingleShaderFinish(R2ShaderLightSingleUsableType<M> s)

      Called when the current shader should be deactivated.
      Type Parameters:
        `M` - The type of shader parameters
      Parameters:
        `s` - The shader

    - #### onFinish

          void onFinish()

      Called when rendering of the clip group is finished.

Copyright © 2016 <code@io7m.com> http://io7m.com